package ru.dbotthepony.mc.otm.registry.data

import net.neoforged.bus.api.IEventBus
import net.neoforged.neoforge.registries.NeoForgeRegistries
import ru.dbotthepony.mc.otm.OverdriveThatMatters
import ru.dbotthepony.mc.otm.data.loot.LootPoolAppender
import ru.dbotthepony.mc.otm.registry.MDeferredRegister

object LootModifiers {
	private val registry = MDeferredRegister(NeoForgeRegistries.Keys.GLOBAL_LOOT_MODIFIER_SERIALIZERS, OverdriveThatMatters.MOD_ID)

	init {
		registry.register("loot_appender") { LootPoolAppender.CODEC }
	}

	fun register(bus: IEventBus) {
		registry.register(bus)
	}
}
